[BUILDROM] Add support for the Cheetah FAM10 target to buildrom

This adds support for the Cheetah FAM10 target in LinuxBIOS to
buildrom.  Simple port, uses most of the existing S-C infrastructure.

Singed-off-by: Marc Jones <marc.jones@amd.com>

Index: buildrom/config/platforms/Config.in
===================================================================
--- buildrom.orig/config/platforms/Config.in	2007-12-20 11:24:57.000000000 -0700
+++ buildrom/config/platforms/Config.in	2007-12-19 09:50:31.000000000 -0700
@@ -104,6 +104,11 @@
        select PLATFORM
        select PLATFORM_SUPPORT_64BIT
 
+config PLATFORM_CHEETAH_FAM10
+	bool "AMD Serengeti-Cheetah with fam10 processor"
+	depends VENDOR_AMD
+	select PLATFORM
+	select PLATFORM_SUPPORT_64BIT
 endchoice
 
 config BUILD_QEMU
Index: buildrom/config/platforms/platforms.conf
===================================================================
--- buildrom.orig/config/platforms/platforms.conf	2007-12-20 11:24:53.000000000 -0700
+++ buildrom/config/platforms/platforms.conf	2007-12-20 11:30:06.000000000 -0700
@@ -16,6 +16,7 @@
 PLATFORM-$(CONFIG_PLATFORM_TYAN_S2891) = tyan-s2891.conf
 PLATFORM-$(CONFIG_PLATFORM_SUPERMICRO_H8DMR) = supermicro-h8dmr.conf
 PLATFORM-$(CONFIG_PLATFORM_SERENGETI_CHEETAH) = serengeti_cheetah.conf
+PLATFORM-$(CONFIG_PLATFORM_CHEETAH_FAM10) = serengeti_cheetah.conf
 PLATFORM-$(CONFIG_PLATFORM_GA_2761GXDK) = ga-2761gxdk.conf
 PLATFORM-$(CONFIG_PLATFORM_QEMU-i386) = qemu.conf
 
Index: buildrom/config/platforms/serengeti_cheetah.conf
===================================================================
--- buildrom.orig/config/platforms/serengeti_cheetah.conf	2007-12-20 11:24:48.000000000 -0700
+++ buildrom/config/platforms/serengeti_cheetah.conf	2007-12-20 11:30:27.000000000 -0700
@@ -1,5 +1,5 @@
 # Support for the AMD Serengeti_Cheetah Platform
-# This should work for most K8+8111 platforms
+# This should work for most K8/fam10+8111 platforms
 
 #### Platform configuration
 
@@ -42,12 +42,21 @@
 
 # LinuxBIOS configuration
 
+ifeq ($(CONFIG_PLATFORM_CHEETAH_FAM10),y)
+LINUXBIOS_VENDOR=amd
+LINUXBIOS_BOARD=serengeti_cheetah_fam10
+LINUXBIOS_CONFIG=Config.lb
+LINUXBIOS_TDIR=serengeti_cheetah_fam10
+LINUXBIOS_TAG=3018
+LINUXBIOS_ROM_NAME=amd-cheetah-fam10.rom
+else
 LINUXBIOS_VENDOR=amd
 LINUXBIOS_BOARD=serengeti_cheetah
 LINUXBIOS_CONFIG=Config.lb
 LINUXBIOS_TDIR=serengeti_cheetah
 LINUXBIOS_TAG=2950
 LINUXBIOS_ROM_NAME=serengeti_cheetah.rom
+endif
 
 # FILO configuration
 
